#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.2
visibility:           public
id:                   coinbase-pro-0.9.3.2-EoAXbDS9XM23ielKZ93W1d
key:                  coinbase-pro-0.9.3.2-EoAXbDS9XM23ielKZ93W1d
license:              MIT
copyright:            2022 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  975e5ffc365ba526978cd41837043243
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.2-EoAXbDS9XM23ielKZ93W1d
depends:
    HsOpenSSL-0.11.7.9-KbE5OkRWMmuLBCgIB3wq0Q
    aeson-2.1.2.1-AEAcBNDnyHsCd1TQh9QYcs
    aeson-casing-0.2.0.0-KpL4tmGxPf45O34nzkGvXV
    async-2.2.5-FKfvvqWRs5hKqVa0zqZISU base-4.16.4.0 binary-0.8.9.0
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-GtEynolGWCjI01Ni8Hp5Bz exceptions-0.10.4
    http-api-data-0.5.1-7W9k8c2SIK1Ac4LatrnWJ
    http-client-0.7.17-7gQedVR8Bfm3p3WNr58unZ
    http-client-tls-0.3.6.3-B5wlQ9uSCVk2RP2QNtI1SV
    http-streams-0.8.9.9-2JhSB4RrwSNGk2CxVb4EEw
    http-types-0.12.4-IeJkxIvFRgA16JgwLyqn6z
    io-streams-1.5.2.2-FPYqwVaFENMFTWItXb7Lm7
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    network-3.1.4.0-JtPWZ6x3npl2gpyraNkSVD
    servant-0.20.2-2smkadSA8IvJpcB0dMPwC
    servant-client-0.20-AwGe9hAEZEC4VjWuTaHL9J
    servant-client-core-0.20.2-JT5Xpi2JBFbJWkI4Qbid5R
    tasty-1.4.3-LppNcLzZzAwI8Sd1WOkbIh
    tasty-hunit-0.10.1-8nlEY02HYp14XnMZDGUBBA text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unagi-streams-0.2.7-HWApXZIfAkNDGGVRUwsF7U
    unordered-containers-0.2.20-LlU8nq86YFE5MC7DkoTKas
    uuid-1.3.16-1X0H57CbANABVQyLFAvpMs
    vector-0.13.1.0-IOJlwkRydAuH1Lkdw56w5r
    websockets-0.12.7.3-CZqhtYcVV7KI63jVEps1BW
    wuss-2.0.1.1-58NzI69gNoPBh5HpGNumCz

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

